<<

# Bugzilla::Search::Saved

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Constructors and Database Manipulation
  - Accessors

# NAME

Bugzilla::Search::Saved - A saved search

# SYNOPSIS

     use Bugzilla::Search::Saved;

     my $query = new Bugzilla::Search::Saved($query_id);

     my $edit_link  = $query->edit_link;
     my $search_url = $query->url;
     my $owner      = $query->user;
     my $num_subscribers = $query->shared_with_users;

# DESCRIPTION

This module exists to represent a Bugzilla::Search that has been saved to the database.

This is an implementation of Bugzilla::Object, and so has all the same methods available as Bugzilla::Object, in addition to what is documented below.

# METHODS

## Constructors and Database Manipulation

`new`

  Takes either an id, or the named parameters `user` and `name`. `user` can be either a Bugzilla::User object or a numeric user id.

  See also: "new" in Bugzilla::Object.

`preload`

  Sets `link_in_footer` for all given saved searches at once, for the currently logged in user. This is much faster than calling this method for each saved search individually.

## Accessors

These return data about the object, without modifying the object.

`edit_link`

  A url with which you can edit the search.

`url`

  The CGI parameters for the search, as a string.

`link_in_footer`

  Whether or not this search should be displayed in the footer for the current user (not the owner of the search, but the person actually using Bugzilla right now).

`type`

  The numeric id of the type of search this is (from Bugzilla::Constants).

`shared_with_group`

  The Bugzilla::Group that this search is shared with. `undef` if this search isn't shared.

`shared_with_users`

  Returns how many users (besides the author of the saved search) are using the saved search, i.e. have it displayed in their footer.

<<